<div class="container">
  <div class="row" style="padding-top: 2rem">
    <div class="col"></div>
    <div class="col-sm-6 align-items-center">
      <div class="card">
        <div class="card-header">
          <h4>Register</h4>
        </div>
        <div class="card-body">
          <form *ngIf="!isSuccessful" name="form" (ngSubmit)="f.form.valid && onSubmit()" #f="ngForm" novalidate>
            <div class="form-group">
              <label for="name">Name</label>
              <input
                type="text"
                class="form-control"
                name="name"
                [(ngModel)]="form.name"
                required
                minlength="2"
                #name="ngModel"
              />
              <div class="alert-danger" *ngIf="f.submitted && name.invalid">
                <div *ngIf="name.hasError('required')">Name is required</div>
                <div *ngIf="name.hasError('minlength')">Name must be at least 2 characters</div>
              </div>
            </div>
            <div class="form-group">
              <label for="email">Email address</label>
              <input
                type="email"
                class="form-control"
                id="email"
                [(ngModel)]="form.email"
                name="email"
                placeholder="name@example.com"
                required
                email
                #email="ngModel"
              />
              <div class="alert-danger" *ngIf="f.submitted && email.invalid">
                <div *ngIf="email.hasError('required')">Email is required</div>
                <div *ngIf="email.hasError('email')">Email must be a valid email address</div>
              </div>
            </div>
            <div class="form-group">
              <label for="password">Password</label>
              <input
                type="password"
                class="form-control"
                [(ngModel)]="form.password"
                id="password"
                name="password"
                required
                minlength="4"
                #password="ngModel"
              />
              <div class="alert-danger" *ngIf="f.submitted && password.invalid">
                <div *ngIf="password.hasError('required')">Password is required</div>
                <div *ngIf="password.hasError('minlength')">Password must be at least 4 characters</div>
              </div>
            </div>
            <div class="form-group">
              <label for="passwordcon">Confirm Password</label>
              <input
                type="password"
                class="form-control"
                [(ngModel)]="form.passwordcon"
                id="passwordcon"
                name="passwordcon"
                required
                appConfirmValidator="password"
                #passwordcon="ngModel"
              />
              <div class="alert-danger" *ngIf="f.submitted && passwordcon.invalid">
                <div
                  *ngIf="
                    passwordcon.hasError('notEqual') &&
                    !password.hasError('required') &&
                    !password.hasError('minlength')
                  "
                >
                  Password do not match
                </div>
                <div *ngIf="passwordcon.hasError('required')">Confirm Password is required</div>
              </div>
            </div>
            <button class="btn btn-primary">Submit</button>
            <a href="/login" class="login">Login</a>
            <div class="alert alert-warning" *ngIf="f.submitted && isSignUpFailed">
              Signup failed!<br />{{ errorMessage }}
            </div>
          </form>
          <div class="alert alert-success" *ngIf="isSuccessful">Your registration is successful!</div>
        </div>
      </div>
    </div>
    <div class="col"></div>
  </div>
</div>
